Bug 22276 - rpm ignores "Release:" field in spec file
Summary: rpm ignores "Release:" field in spec file
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 6.2
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-14 01:28 UTC by John Klingler
Modified: 2007-04-18 16:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-14 14:14:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Klingler 2000-12-14 01:28:30 UTC
When building an rpm (rpm -ba), rpm ignores the "Release:"
field in the spec file header.

Example:

   I want to make an rpm for Galileo Version 1, Release 3.
The source files are in directory Galileo-1.3. 
The tar file is named Galileo-1.3.tar.gz.
The spec file header (in Galileo-1.3.spec) is as follows:
Summary:	Galileo Display Wall Server
Name:		Galileo
Version:	1
Release:	3
Copyright:	Jupiter Systems, Inc. All rights reserved
Vendor:		Jupiter Systems, Inc.
Group:		X11
Source:		%{name}-%{version}.%{release}.tar.gz

When I enter rpm -ba Galileo-1.3.spec I get the error message:

  ...
  -rwxr--r-- john/root       278 2000-12-12 11:14:31
  Galileo-1.3/root/.xsession
  + STATUS=0
  + [ 0 -ne 0 ]
  + cd Galileo-1
  /var/tmp/rpm-tmp.55273: Galileo-1: No such file or directory
  Bad exit status from /var/tmp/rpm-tmp.55273 (%prep)

(That's in the BUILD directory)

So I end up having make kludges like putting the release number in the
"Version:" field, renaming the tar file and so on.

Comment 1 Jeff Johnson 2000-12-17 01:07:21 UTC
Usually what is done in your case is

	Name: Galileo
	Version: 1.3
	Release: <anything you want>
	...
	%prep
	%setup





Note You need to log in before you can comment on or make changes to this bug.